# coding=utf-8
# --------------------------------------------------------------------
# Copyright (C) 1991 - 2019 - EDF R&D - www.code-aster.org
# This file is part of code_aster.
#
# code_aster is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# code_aster is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with code_aster.  If not, see <http://www.gnu.org/licenses/>.
# --------------------------------------------------------------------

# person_in_charge: mickael.abbas at edf.fr

"""Ce module définit les noms de variables internes valides.
Un comportement ne doit/peut pas utiliser une variable internes dont le
nom ne serait pas déclaré ici."""

DICT_NOM_VARI = {
    "AAAR": _("FLUA_ENDO_PORO avancement AAR"),
    "ACIXELS": _("Maximum absolu des déformations selon X normalisé par la déformation ELS"),
    "ACIXELU": _("Maximum absolu des déformations selon X normalisé par la déformation ELU"),
    "ACIYELS": _("Maximum absolu des déformations selon Y normalisé par la déformation ELS"),
    "ACIYELU": _("Maximum absolu des déformations selon Y normalisé par la déformation ELU"),
    "ADEF": _("FLUA_ENDO_PORO avancement DEF"),
    "ADOUCOMP": _("affaiblissement relatif de raideur en membrane en compression"),
    "ADOUFLEX": _("affaiblissement relatif de raideur en flexion"),
    "ADOUMEMB": _("affaiblissement relatif de raideur en membrane"),
    "ADOUTRAC": _("affaiblissement relatif de raideur en membrane en traction"),
    "AFM1": _("FLUA_ENDO_PORO sulfo aluminates pour la def"),
    "AFM2": _("FLUA_ENDO_PORO sulfo aluminates pour la def"),
    "AFT1": _("FLUA_ENDO_PORO sulfo aluminates pour la def"),
    "AFT2": _("FLUA_ENDO_PORO sulfo aluminates pour la def"),
    "ALEA": _("contrainte de rupture par amorçage,"),
    "ALPHA2XX": _("écrouissage cinématique non linéaire variable interne 2  composante XX"),
    "ALPHA2XY": _("écrouissage cinématique non linéaire variable interne 2  composante XY"),
    "ALPHA2XZ": _("écrouissage cinématique non linéaire variable interne 2  composante XZ"),
    "ALPHA2YY": _("écrouissage cinématique non linéaire variable interne 2  composante YY"),
    "ALPHA2YZ": _("écrouissage cinématique non linéaire variable interne 2  composante YZ"),
    "ALPHA2ZZ": _("écrouissage cinématique non linéaire variable interne 2  composante ZZ"),
    "ALPHAXX": _("écrouissage cinématique non linéaire variable interne 1  composante XX"),
    "ALPHAXY": _("écrouissage cinématique non linéaire variable interne 1  composante XY"),
    "ALPHAXZ": _("écrouissage cinématique non linéaire variable interne 1  composante XZ"),
    "ALPHAYY": _("écrouissage cinématique non linéaire variable interne 1  composante YY"),
    "ALPHAYZ": _("écrouissage cinématique non linéaire variable interne 1  composante YZ"),
    "ALPHAZZ": _("écrouissage cinématique non linéaire variable interne 1  composante ZZ"),
    "ANGL1": _("GLRC_DAMAGE : angle d'orthotropie 1"),
    "ANGL2": _("GLRC_DAMAGE : angle d'orthotropie 2"),
    "ANGL3": _("GLRC_DAMAGE : angle d'orthotropie 3"),
    "ANGLEDEV": _("angle du seuil déviatoire (CJS)"),
    "ASSCORN1": _("assemblage cornière, variable interne 1"),
    "ASSCORN2": _("assemblage cornière, variable interne 2"),
    "ASSCORN3": _("assemblage cornière, variable interne 3"),
    "ASSCORN4": _("assemblage cornière, variable interne 4"),
    "ASSCORN5": _("assemblage cornière, variable interne 5"),
    "ASSCORN6": _("assemblage cornière, variable interne 6"),
    "ASSCORN7": _("assemblage cornière, variable interne 7"),
    "ATIL": _("FLUA_ENDO_PORO sulfo aluminates pour la def"),
    "AUSTENITE": _("phase métallurgique acier variable (austenite)"),
    "BAINITE": _("phase métallurgique acier variable (bainite)"),
    "BETINF": _("Déformation de la nappe inférieure du béton, max. abs sur X et Y"),
    "BETSUP": _("Déformation de la nappe supérieure du béton, max. abs sur X et Y"),
    "BIOG": _("FLUA_ENDO_PORO coeff de Biot effectif pour les RGI"),
    "BIOW": _("FLUA_ENDO_PORO coeff de Biot effectif pour la capillarite"),
    "BR_AVCHI": _("BETON_RAG : Avancement chimique"),
    "BR_DVRAG1":_("BETON_RAG : Endommagement dû à la RAG, composante 1"),
    "BR_DVRAG2":_("BETON_RAG : Endommagement dû à la RAG, composante 1"),
    "BR_DVRAG3":_("BETON_RAG : Endommagement dû à la RAG, composante 1"),
    "BR_EFU11": _("BETON_RAG : déformation déviatorique de fluage, composante 1"),
    "BR_EFU12": _("BETON_RAG : déformation déviatorique de fluage, composante 4"),
    "BR_EFU13": _("BETON_RAG : déformation déviatorique de fluage, composante 5"),
    "BR_EFU22": _("BETON_RAG : déformation déviatorique de fluage, composante 2"),
    "BR_EFU23": _("BETON_RAG : déformation déviatorique de fluage, composante 6"),
    "BR_EFU33": _("BETON_RAG : déformation déviatorique de fluage, composante 3"),
    "BR_EFUSP": _("BETON_RAG : déformation sphérique de fluage"),
    "BR_EP111": _("BETON_RAG : déformation déviatorique de fluage interne modèle, composante 1"),
    "BR_EP112": _("BETON_RAG : déformation déviatorique de fluage interne modèle, composante 4"),
    "BR_EP113": _("BETON_RAG : déformation déviatorique de fluage interne modèle, composante 5"),
    "BR_EP122": _("BETON_RAG : déformation déviatorique de fluage interne modèle, composante 2"),
    "BR_EP123": _("BETON_RAG : déformation déviatorique de fluage interne modèle, composante 6"),
    "BR_EP133": _("BETON_RAG : déformation déviatorique de fluage interne modèle, composante 3"),
    "BR_EP1SP": _("BETON_RAG : déformation sphérique de fluage interne modèle"),
    "BR_EPV11": _("BETON_RAG : Déformation viscoplastique de la RAG, composante 1"),
    "BR_EPV12": _("BETON_RAG : Déformation viscoplastique de la RAG, composante 4"),
    "BR_EPV13": _("BETON_RAG : Déformation viscoplastique de la RAG, composante 5"),
    "BR_EPV22": _("BETON_RAG : Déformation viscoplastique de la RAG, composante 2"),
    "BR_EPV23": _("BETON_RAG : Déformation viscoplastique de la RAG, composante 6"),
    "BR_EPV33": _("BETON_RAG : Déformation viscoplastique de la RAG, composante 3"),
    "BR_ETUDE": _("BETON_RAG : Niveau des études réalisées"),
    "BR_PRGEL": _("BETON_RAG : Pression du gel"),
    "BR_SIGDP": _("BETON_RAG : contrainte seuil d'endommagement de compression"),
    "BR_SUT11": _("BETON_RAG : contrainte seuil d'endommagement de traction, composante 1"),
    "BR_SUT12": _("BETON_RAG : contrainte seuil d'endommagement de traction, composante 4"),
    "BR_SUT13": _("BETON_RAG : contrainte seuil d'endommagement de traction, composante 5"),
    "BR_SUT22": _("BETON_RAG : contrainte seuil d'endommagement de traction, composante 2"),
    "BR_SUT23": _("BETON_RAG : contrainte seuil d'endommagement de traction, composante 6"),
    "BR_SUT33": _("BETON_RAG : contrainte seuil d'endommagement de traction, composante 3"),
    "COHESION": _("cohésion"),
    "COMMAX": _("Déformation à l’axe neutre maximale en compression (maximum sur les directions et instants"),
    "COMPT": _("itération de Newton courante,"),
    "COMR": _("itération de Newton de rupture,"),
    "CRITEPS": _("Critère en déformation, utilisé en Génie Civil"),
    "CRITHILL": _("Critère de Hill : pour Hujeux : densité normalisée pour le travail du second ordre"),
    "CRITRUPT": _("Critère de rupture pour CRIT_RUPT"),
    "CRITSIG": _("Critère en contrainte, utilisé en Génie Civil"),
    "CSHR": _("FLUA_ENDO_PORO perte de viscosité par séchage (coeff de consolidation par séchage)"),
    "DB1": _("c_plan ou 1d algo Deborst, variable interne 1"),
    "DB2": _("c_plan ou 1d algo Deborst, variable interne 2"),
    "DB3": _("c_plan ou 1d algo Deborst, variable interne 3"),
    "DB4": _("c_plan ou 1d algo Deborst, variable interne 4"),
    "DCG1": _("FLUA_ENDO_PORO endommagements principaux de compression difffus RGI"),
    "DCG2": _("FLUA_ENDO_PORO endommagements principaux de compression difffus RGI"),
    "DCG3": _("FLUA_ENDO_PORO endommagements principaux de compression difffus RGI"),
    "DC": _("FLUA_ENDO_PORO endommagement de compression"),
    "DDISSM": _("Vitesse de dissipation mécanique"),
    "DEPLPX":   _("DIS_ECRO_TRAC : Déplacement anélastique différentiel, suivant x local."),
    "DEPLPY":   _("DIS_ECRO_TRAC : Déplacement anélastique différentiel, suivant y local."),
    "DEPLPZ":   _("DIS_ECRO_TRAC : Déplacement anélastique différentiel, suivant z local."),
    "DEPLX":    _("DIS_ECRO_TRAC : Déplacement différentiel, suivant x local."),
    "DEPLY":    _("DIS_ECRO_TRAC : Déplacement différentiel, suivant y local."),
    "DEPLZ":    _("DIS_ECRO_TRAC : Déplacement différentiel, suivant z local."),
    "DEPPLAS1": _("JOINT_MECA_FROT  déplacement tangentiel plastique par rapport au point de départ, composante 1"),
    "DEPPLAS2": _("JOINT_MECA_FROT  déplacement tangentiel plastique par rapport au point de départ, composante 2"),
    "DEPSPEQ": _("incrément de déformation plastique équivalente"),
    "DEPS-TH": _("PINTO-MENEGOTTO V5"),
    "DETOPTG": _("Hujeux : déterminant de la matrice tangente"),
    "DFLU": _("FLUA_ENDO_PORO endomagement par fluage"),
    "DINSTM": _("Incrément de temps"),
    "DIS10": _("éléments discrets, variable interne 10"),
    "DIS11": _("éléments discrets, variable interne 11"),
    "DIS12": _("éléments discrets, variable interne 12"),
    "DIS13": _("éléments discrets, variable interne 13"),
    "DIS14": _("éléments discrets, variable interne 14"),
    "DIS15": _("éléments discrets, variable interne 15"),
    "DIS16": _("éléments discrets, variable interne 16"),
    "DIS17": _("éléments discrets, variable interne 17"),
    "DIS18": _("éléments discrets, variable interne 18"),
    "DIS1": _("éléments discrets, variable interne 1"),
    "DIS2": _("éléments discrets, variable interne 2"),
    "DIS3": _("éléments discrets, variable interne 3"),
    "DIS4": _("éléments discrets, variable interne 4"),
    "DIS5": _("éléments discrets, variable interne 5"),
    "DIS6": _("éléments discrets, variable interne 6"),
    "DIS7": _("éléments discrets, variable interne 7"),
    "DIS8": _("éléments discrets, variable interne 8"),
    "DIS9": _("éléments discrets, variable interne 9"),
    "DISSENDO": _("dissipation d'endommagement"),
    "DISSGLIS": _("dissipation de glissement"),
    "DISSIP": _("dissipation plastique"),
    "DISSTHER": _("dissipation Thermodynamique"),
    "DISTSDEV": _("CJS distance normalisée au seuil déviatoire"),
    "DISTSISO": _("CJS distance normalisée au seuil isotrope"),
    "DOMAINE": _("domaine de comportement de la roche"),
    "DOMCOMP": _("Laigle : domaine de comportement de la roche"),
    "DRL1": _("FLUA_ENDO_PORO endommagements principaux de refermeture"),
    "DRL2": _("FLUA_ENDO_PORO endommagements principaux de refermeture"),
    "DRL3": _("FLUA_ENDO_PORO endommagements principaux de refermeture"),
    "DSW1": _("FLUA_ENDO_PORO Cumul des surpessions capillaires en dessiccation sous charge"),
    "DSW2": _("FLUA_ENDO_PORO Cumul des surpessions capillaires en dessiccation sous charge"),
    "DSW3": _("FLUA_ENDO_PORO Cumul des surpessions capillaires en dessiccation sous charge"),
    "DSW4": _("FLUA_ENDO_PORO Cumul des surpessions capillaires en dessiccation sous charge"),
    "DSW5": _("FLUA_ENDO_PORO Cumul des surpessions capillaires en dessiccation sous charge"),
    "DSW6": _("FLUA_ENDO_PORO Cumul des surpessions capillaires en dessiccation sous charge"),
    "DTG1": _("FLUA_ENDO_PORO endommagements principaux de traction diffus RGI"),
    "DTG2": _("FLUA_ENDO_PORO endommagements principaux de traction diffus RGI"),
    "DTG3": _("FLUA_ENDO_PORO endommagements principaux de traction diffus RGI"),
    "DTHE": _("FLUA_ENDO_PORO endommagement thermique isotrope"),
    "DTL1": _("FLUA_ENDO_PORO endommagements principaux de traction directe "),
    "DTL2": _("FLUA_ENDO_PORO endommagements principaux de traction directe "),
    "DTL3": _("FLUA_ENDO_PORO endommagements principaux de traction directe "),
    "DTPP": _("FLUA_ENDO_PORO endommagement de traction diffus pre pic"),
    "DUY": _("valeur maximale de la différence déplacement local-déplacement limite"),
    "EBLOC": _("énergie bloquée"),
    "ECRISOM1": _("JOINT_BA : variable scalaire de l'écrouissage isotrope pour l'endommagement en mode 1"),
    "ECRISOM2": _("JOINT_BA : variable scalaire de l'écrouissage isotrope pour l'endommagement en mode 2"),
    "ECROCINE": _("JOINT_BA : valeur de l'écrouissage cinématique par frottement des fissures"),
    "ECROISOT": _("Variable d'écrouissage isotrope"),
    "EDISSCUM": _("énergie dissipée cumulée à chaque pas pour CRIT_RUPT"),
    "EDISS": _("énergie dissipée pour CRIT_RUPT"),
    "EFD11": _("retrait de dessiccation, composante 11"),
    "EFD12": _("retrait de dessiccation, composante 12"),
    "EFD22": _("retrait de dessiccation, composante 22"),
    "EFD23": _("retrait de dessiccation, composante 23"),
    "EFD31": _("retrait de dessiccation, composante 31"),
    "EFD33": _("retrait de dessiccation, composante 33"),
    "EID11": _("déformation déviatorique irréversible, composante 11"),
    "EID12": _("déformation déviatorique irréversible, composante 12"),
    "EID22": _("déformation déviatorique irréversible, composante 22"),
    "EID23": _("déformation déviatorique irréversible, composante 23"),
    "EID31": _("déformation déviatorique irréversible, composante 31"),
    "EID33": _("déformation déviatorique irréversible, composante 33"),
    "EISP": _("déformation sphérique irréversible"),
    "ELEP1": _("numéro de l'élément pointé numéro 1,"),
    "ELEP2": _("numéro de l'élément pointé numéro 2 (quand amorçage),"),
    "EMT1": _("FLUA_ENDO_PORO deformation plastique maximale atteinte en traction"),
    "EMT2": _("FLUA_ENDO_PORO deformation plastique maximale atteinte en traction"),
    "EMT3": _("FLUA_ENDO_PORO deformation plastique maximale atteinte en traction"),
    "EMT4": _("FLUA_ENDO_PORO deformation plastique maximale atteinte en traction"),
    "EMT5": _("FLUA_ENDO_PORO deformation plastique maximale atteinte en traction"),
    "EMT6": _("FLUA_ENDO_PORO deformation plastique maximale atteinte en traction"),
    "ENDOCOMP": _("endommagement scalaire en compression"),
    "ENDOFL-": _("variable d'endommagement pour la flexion négative"),
    "ENDOFL+": _("variable d'endommagement pour la flexion positive"),
    "ENDOINF": _("variable d'endommagement pour la moitié inférieure de la plaque"),
    "ENDONOR": _("endommagement normal"),
    "ENDORIGI": _("rigidité résiduelle"),
    "ENDOSUP": _("variable d'endommagement pour la moitié supérieure de la plaque"),
    "ENDOTAN": _("endommagement tangentiel"),
    "ENDO": _("endommagement scalaire"),
    "ENDOXX": _("tenseur endommagement, direction XX"),
    "ENDOXY": _("tenseur endommagement, direction XY"),
    "ENDOXZ": _("tenseur endommagement, direction XZ"),
    "ENDOYY": _("tenseur endommagement, direction YY"),
    "ENDOYZ": _("tenseur endommagement, direction YZ"),
    "ENDOZZ": _("tenseur endommagement, direction ZZ"),
    "ENEL_RES": _("énergie résiduelle"),
    "EPAISSJO": _("épaisseur du joint clavé"),
    "EPC1": _("FLUA_ENDO_PORO defromations plastiques de druker prager"),
    "EPC2": _("FLUA_ENDO_PORO defromations plastiques de druker prager"),
    "EPC3": _("FLUA_ENDO_PORO defromations plastiques de druker prager"),
    "EPC4": _("FLUA_ENDO_PORO defromations plastiques de druker prager"),
    "EPC5": _("FLUA_ENDO_PORO defromations plastiques de druker prager"),
    "EPC6": _("FLUA_ENDO_PORO defromations plastiques de druker prager"),
    "EPE1": _("FLUA_ENDO_PORO  deformations elastiques"),
    "EPE2": _("FLUA_ENDO_PORO  deformations elastiques"),
    "EPE3": _("FLUA_ENDO_PORO deformations elastiques"),
    "EPE4": _("FLUA_ENDO_PORO deformations elastiques"),
    "EPE5": _("FLUA_ENDO_PORO deformations elastiques"),
    "EPE6": _("FLUA_ENDO_PORO deformations elastiques"),
    "EPEQIRRA": _("déformation plastique équivalente d'irradiation"),
    "EPG1": _("FLUA_ENDO_PORO deformation plastique fissuration rgi"),
    "EPG2": _("FLUA_ENDO_PORO deformation plastique fissuration rgi"),
    "EPG3": _("FLUA_ENDO_PORO deformation plastique fissuration rgi"),
    "EPG4": _("FLUA_ENDO_PORO deformation plastique fissuration rgi"),
    "EPG5": _("FLUA_ENDO_PORO deformation plastique fissuration rgi"),
    "EPG6": _("FLUA_ENDO_PORO deformation plastique fissuration rgi"),
    "EPK1": _("FLUA_ENDO_PORO deformation de l etage de Kelvin"),
    "EPK2": _("FLUA_ENDO_PORO deformation de l etage de Kelvin"),
    "EPK3": _("FLUA_ENDO_PORO deformation de l etage de Kelvin"),
    "EPK4": _("FLUA_ENDO_PORO deformation de l etage de Kelvin"),
    "EPK5": _("FLUA_ENDO_PORO deformation de l etage de Kelvin"),
    "EPK6": _("FLUA_ENDO_PORO deformation de l etage de Kelvin"),
    "EPLC": _("FLUA_ENDO_PORO deformation plastique equivalente en cisaillement"),
    "EPM1": _("FLUA_ENDO_PORO deformations de l etage de Maxwell"),
    "EPM2": _("FLUA_ENDO_PORO deformations de l etage de Maxwell"),
    "EPM3": _("FLUA_ENDO_PORO deformations de l etage de Maxwell"),
    "EPM4": _("FLUA_ENDO_PORO deformations de l etage de Maxwell"),
    "EPM5": _("FLUA_ENDO_PORO deformations de l etage de Maxwell"),
    "EPM6": _("FLUA_ENDO_PORO deformations de l etage de Maxwell"),
    "EPSEDXX": _("déformation élastique endommagée composante XX"),
    "EPSEDXY": _("déformation élastique endommagée composante XY"),
    "EPSEDXZ": _("déformation élastique endommagée composante XZ"),
    "EPSEDYY": _("déformation élastique endommagée composante YY"),
    "EPSEDYZ": _("déformation élastique endommagée composante YZ"),
    "EPSEDZZ": _("déformation élastique endommagée composante ZZ"),
    "EPSEQC": _("déformation de compression équivalente, au sens de Mazars"),
    "EPSEQT": _("déformation de traction équivalente, au sens de Mazars"),
    "EPSEQ": _("déformation équivalente, au sens de Mazars"),
    "EPSEXX": _("déformation élastique composante XX"),
    "EPSEXY": _("déformation élastique composante XY"),
    "EPSEXZ": _("déformation élastique composante XZ"),
    "EPSEYY": _("déformation élastique composante YY"),
    "EPSEYZ": _("déformation élastique composante YZ"),
    "EPSEZZ": _("déformation élastique composante ZZ"),
    "EPSGRD": _("déformation de grandissement."),
    "EPSM+V5": _(" Pinto-Menegotto, déformation totale"),
    "EPSP1": _("GLRC_DAMAGE : extension membranaire plastique 1"),
    "EPSP2": _("GLRC_DAMAGE : extension membranaire plastique 2"),
    "EPSP3": _("GLRC_DAMAGE : extension membranaire plastique 3"),
    "EPSPEQC": _("déformation plastique équivalente (déviatorique)  cumulée en compression"),
    "EPSPEQT": _("déformation plastique équivalente (déviatorique)  cumulée en traction"),
    "EPSPEQ": _("déformation plastique équivalente (déviatorique)  cumulée"),
    "EPSPVIT": _("Vitesse de déformation plastique mécanique"),
    "EPSPVOL": _("déformation plastique équivalente volumique"),
    "EPSPXX": _("déformation plastique composante XX"),
    "EPSPXY": _("déformation plastique composante XY"),
    "EPSPXZ": _("déformation plastique composante XZ"),
    "EPSPYY": _("déformation plastique composante YY"),
    "EPSPYZ": _("déformation plastique composante YZ"),
    "EPSPZZ": _("déformation plastique composante ZZ"),
    "EPSRN-1": _("déformation du cycle précédent  Pinto-Menegotto"),
    "EPSRN": _("déformation du cycle actuel, Pinto-Menegotto"),
    "EPSVOLME" : _("déformations volumiques élastiques mécaniques"),
    "EPSVOLTH" : _("déformations volumiques élastiques thermiques"),
    "EPSVOLVP" : _("déformations volumiques viscoplastiques"),
    "EPT1": _("FLUA_ENDO_PORO deformation plastique de traction "),
    "EPT2": _("FLUA_ENDO_PORO deformation plastique de traction "),
    "EPT3": _("FLUA_ENDO_PORO deformation plastique de traction "),
    "EPT4": _("FLUA_ENDO_PORO deformation plastique de traction "),
    "EPT5": _("FLUA_ENDO_PORO deformation plastique de traction "),
    "EPT6": _("FLUA_ENDO_PORO deformation plastique de traction "),
    "ERD11": _("déformation déviatorique réversible, composante 11"),
    "ERD12": _("déformation déviatorique réversible, composante 12"),
    "ERD22": _("déformation déviatorique réversible, composante 22"),
    "ERD23": _("déformation déviatorique réversible, composante 23"),
    "ERD31": _("déformation déviatorique réversible, composante 31"),
    "ERD33": _("déformation déviatorique réversible, composante 33"),
    "ERRCOM": _("Pourcentage d'erreur sur la réponse en compression"),
    "ERRFLE": _("Pourcentage d'erreur sur la réponse en flexion"),
    "ERSP": _("Déformation sphérique réversible"),
    "FECRDVC1": _("Hujeux : facteur de mobilisation du mécanisme déviatoire cyclique, k= 1"),
    "FECRDVC2": _("Hujeux : facteur de mobilisation du mécanisme déviatoire cyclique, k= 1"),
    "FECRDVC3": _("Hujeux : facteur de mobilisation du mécanisme déviatoire cyclique, k= 1"),
    "FECRDVM1": _("Hujeux : facteur de mobilisation du mécanisme déviatoire monotone, k= 1"),
    "FECRDVM2": _("Hujeux : facteur de mobilisation du mécanisme déviatoire monotone, k= 2"),
    "FECRDVM3": _("Hujeux : facteur de mobilisation du mécanisme déviatoire monotone, k= 3"),
    "FECRISC1": _("Hujeux : facteur de mobilisation du mécanisme de consolidation cyclique"),
    "FECRISM1": _("Hujeux : facteur de mobilisation du mécanisme de consolidation monotone"),
    "FERRITE": _("phase métallurgique acier variable (ferrite)"),
    "FH_X": _("flux hydraulique dans le repère global ( xxx_JOINT_HYME) composante 1"),
    "FH_Y": _("flux hydraulique dans le repère global ( xxx_JOINT_HYME) composante 2"),
    "FH_Z": _("flux hydraulique dans le repère global ( xxx_JOINT_HYME) composante 3"),
    "FLEMAX": _("Déformation maximale absolue au cours de temps en flexion"),
    "FORCE": _("Force"),
    "FORCEX":   _("DIS_ECRO_TRAC : Force suivant x local."),
    "FORCEY":   _("DIS_ECRO_TRAC : Force suivant y local."),
    "FORCEZ":   _("DIS_ECRO_TRAC : Force suivant z local."),
    "FORCXX":   _("DIS_ECRO_TRAC : Force écrouissage cinématique suivant x local."),
    "FORCXY":   _("DIS_ECRO_TRAC : Force écrouissage cinématique suivant y local."),
    "FORCXZ":   _("DIS_ECRO_TRAC : Force écrouissage cinématique suivant z local."),
    "GAMMAECR": _("le paramètre d'écrouissage correspondant à la déformation irréversible majeure."),
    "GAMMAP": _("déformation déviatorique plastique"),
    "GAMMAVP": _("déformation déviatorique viscoplastique"),
    "GLIS": _("JOINT_BA : déformation de glissement cumulée par frottement des fissures"),
    "GLISXINF": _("DHRC : déformation de glissement le long des aciers orientés selon X dans la partie inférieure de la plaque"),
    "GLISXSUP": _("DHRC : déformation de glissement le long des aciers orientés selon X dans la partie supérieure de la plaque"),
    "GLISYINF": _("DHRC : déformation de glissement le long des aciers orientés selon Y dans la partie inférieure de la plaque"),
    "GLISYSUP": _("DHRC : déformation de glissement le long des aciers orientés selon Y dans la partie supérieure de la plaque"),
    "GONF": _("gonflement"),
    "GR1": _("elas_poutre_GR v1"),
    "GR2": _("elas_poutre_GR v2"),
    "GR3": _("elas_poutre_GR v3"),
    "GRADP_X": _("gradient de pression dans le repère global ( xxx_JOINT_HYME)  Composante 1"),
    "GRADP_Y": _("gradient de pression dans le repère global ( xxx_JOINT_HYME)  Composante 2"),
    "GRADP_Z": _("gradient de pression dans le repère global ( xxx_JOINT_HYME)  Composante 3"),
    "H1": _("Hayhurst : variable d'écrouissage H1"),
    "H2": _("Hayhurst : variable d'écrouissage H2"),
    "HIS10": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 1, composante 2"),
    "HIS11": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 1, composante 3"),
    "HIS12": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 1, composante 4"),
    "HIS13": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 2, composante 1"),
    "HIS14": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 2, composante 2"),
    "HIS15": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 2, composante 3"),
    "HIS16": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 2, composante 4"),
    "HIS17": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 3, composante 1"),
    "HIS18": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 3, composante 2"),
    "HIS19": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 3, composante 3"),
    "HIS20": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 3, composante 4"),
    "HIS21": _("Hujeux : variable mémoratrice discontinue du mécanisme de consolidation"),
    "HIS22": _("Hujeux : variable mémoratrice discontinue de normale à la surface de charge du mécanisme de consolidation"),
    "HIS34": _("Hujeux : Indicateur d'état des mécanismes actifs après convergence"),
    "HIS9": _("Hujeux : variable mémoratrice pour le mécanisme déviatoire cyclique du plan 1, composante 1"),
    "HYDF": _("FLUA_ENDO_PORO hydratation fin de pas"),
    "INDETAC1": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes cycliques, composante 1"),
    "INDETAC2": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes cycliques, composante 2"),
    "INDETAC3": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes cycliques, composante 3"),
    "INDETAC4": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes cycliques, composante 4"),
    "INDETAM1": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes monotones ou de passage au cyclique, composante 1"),
    "INDETAM2": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes monotones ou de passage au cyclique, composante 2"),
    "INDETAM3": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes monotones ou de passage au cyclique, composante 3"),
    "INDETAM4": _("Hujeux : indicateur d'activation (1) ou non (0) des mécanismes monotones ou de passage au cyclique, composante 4"),
    "INDICDIL": _("indicateur de contractance ou de dilatance"),
    "INDIC": _("LETK : indicateur de la position de l'etat de contrainte par rapport aux seuils viscoplastiques"),
    "INDICYCL": _(" Pinto-Menegotto, indicateur d'activation du comportement cyclique"),
    "INDIDISS": _("Indicateur de dissipation =0 si régime linéaire, =1 si régime dissipatif."),
    "INDIEND1": _("indicateur d'endommagement pour la flexion positive"),
    "INDIEND2": _("indicateur d'endommagement pour la flexion négative"),
    "INDIENDN": _("indicateur d'endommagement normal =0 sain, =1 endommagé, =2 cassé"),
    "INDIENDO": _("indicateur d'endommagement"),
    "INDIENDT": _("indicateur d'endommagement tangentiel =0 sain, =1 endommagé, =2 cassé"),
    "INDIFLAM": _("indicateur de flambement"),
    "INDIHYDR": _("indicateur d'irréversibilité hydrique"),
    "INDIOUV": _("JOINT_MECA_FROT : indicateur d'ouverture complète =0 fermé, =1 ouvert"),
    "INDIPLAC": _("indicateur de plasticité en compression  (0 : seuil non atteint, 1 ou > 1 : seuil atteint)"),
    "INDIPLAS": _("indicateur de plasticité (0 : seuil non atteint, 1 ou > 1 : seuil atteint)"),
    "INDIPLAT": _("indicateur de plasticité en traction  (0 : seuil non atteint, 1 ou > 1 : seuil atteint)"),
    "INDIVIDE": _("indice des vides"),
    "INDIVISC": _("indicateur de viscoplasticité"),
    "IRRA": _("irradiation"),
    "IRVECU": _("mémorisation de l'historique d'irradiation (fluence),"),
    "ISPH": _("BETON_UMLV : v21"),
    "KHIP1": _("GLRC_DAMAGE : courbure plastique 1"),
    "KHIP2": _("GLRC_DAMAGE : courbure plastique 2"),
    "KHIP3": _("GLRC_DAMAGE : courbure plastique 3"),
    "KSIXX": _("tenseur de rappel pour l'effet de mémoire, composante XX"),
    "KSIXY": _("tenseur de rappel pour l'effet de mémoire, composante XY"),
    "KSIXZ": _("tenseur de rappel pour l'effet de mémoire, composante XZ"),
    "KSIYY": _("tenseur de rappel pour l'effet de mémoire, composante YY"),
    "KSIYZ": _("tenseur de rappel pour l'effet de mémoire, composante YZ"),
    "KSIZZ": _("tenseur de rappel pour l'effet de mémoire, composante ZZ"),
    "LAMBDA": _("JOINT_MECA_FROT : paramètre croissant indiquant le déplacement tangentiel plastique cumulé (sans orientation)."),
    "MARTENSITE": _("phase métallurgique acier variable (martensite)"),
    "MEMOECRO": _("CIN2_MEMO : variable relative à la mémoire d'écrouissage q"),
    "NBITER": _("nombre d'itérations internes"),
    "NBSSPAS": _("nombre de redécoupages locaux du pas de temps"),
    "PCENDOT": _("pourcentage d'endommagement tangentiel"),
    "PCENERDI": _("pourcentage d'endommagement normal (dans la zone adoucissante)"),
    "PCR": _("pression critique"),
    "PCUM" :    _("DIS_ECRO_TRAC : Déplacement anélastique cumulé"),
    "PDISSCUM": _("puissance dissipée cumulée à chaque pas pour CRIT_RUPT"),
    "PDISS": _("puissance dissipée pour CRIT_RUPT"),
    "PERLITE": _("phase métallurgique acier variable (perlite)"),
    "PERM_LONG": _("perméabilité longitudinale de la fissure"),
    "PHIG": _("FLUA_ENDO_PORO potentiel des phases neoformees"),
    "PHIM": _("FLUA_ENDO_PORO dissipation etage de Maxwell"),
    "PHI": _("Hayhurst : variable PHI"),
    "POROSITE": _("Porosité"),
    "POS": _("VISC_DRUC_PRAG : position du point de charge par rapport au seuil"),
    "PPAS": _("FLUA_ENDO_PORO indicateur premier pas (1 si premier pas passé sinon 0)"),
    "PRE1": _("Pression capillaire"),
    "PRE2": _("Pression du gaz"),
    "PRESF": _("pression de fluide"),
    "PRGI": _("FLUA_ENDO_PORO pression de RGI"),
    "PSHR": _("FLUA_ENDO_PORO pression capillaire de l eau"),
    "PVP": _("Pression de vapeur"),
    "RAIDEUR":  _("DIS_ZENER : Raideur du discret"),
    "RAIDEX":   _("DIS_ECRO_TRAC : Raideur tangente du discret suivant x local"),
    "RAIDEY":   _("DIS_ECRO_TRAC : Raideur tangente du discret suivant y local"),
    "RAIDEZ":   _("DIS_ECRO_TRAC : Raideur tangente du discret suivant z local"),
    "RESIDU": _("valeur du test local d'arrêt des itérations internes"),
    "RHOLIQ": _("Masse volumique du liquide"),
    "RHXZ": _("Hujeux : rayon du seuil déviatoire atteint par  la surface de charge avant le décharge du mécanisme déviatoire du plan 2"),
    "RHYZ": _("Hujeux : rayon du seuil déviatoire atteint par  la surface de charge avant le décharge du mécanisme déviatoire du plan 1"),
    "RSIGMA": _("Facteur de triaxialité des contraintes, modèle Mazars"),
    "SATLIQ": _("Saturation"),
    "SAUT_N": _("saut normal"),
    "SAUT_T1": _("saut tangentiel 1"),
    "SAUT_T2": _("saut tangentiel 2"),
    "SDEVCRIT": _("CJS rapport entre le seuil déviatoire et le seuil déviatorique critique"),
    "SDEVEPSP": _("CJS signe du produit contracté de la contrainte déviatorique par la déformation plastique déviatorique"),
    "SEUILDEP": _("CZM  seuil correspondant au plus grand saut de déplacement (en norme)"),
    "SEUILHYD": _("seuil hydrique"),
    "SEUILISO": _("seuil isotrope"),
    "SEUIL": _("seuil"),
    "SHIFT_T1": _("glissement tangentiel 1"),
    "SHIFT_T1": _("glissement tangentiel 1"),
    "SHIFT_T2": _("glissement tangentiel 2"),
    "SHIFT_T2": _("glissement tangentiel 2"),
    "SIEQ": _("cam_clay : contrainte équivalente"),
    "SIG1": _("FLUA_ENDO_PORO contraintes effective squelette solide (sans pression rgi)"),
    "SIG2": _("FLUA_ENDO_PORO contraintes effective squelette solide (sans pression rgi)"),
    "SIG3": _("FLUA_ENDO_PORO contraintes effective squelette solide (sans pression rgi)"),
    "SIG4": _("FLUA_ENDO_PORO contraintes effective squelette solide (sans pression rgi)"),
    "SIG5": _("FLUA_ENDO_PORO contraintes effective squelette solide (sans pression rgi)"),
    "SIG6": _("FLUA_ENDO_PORO contraintes effective squelette solide (sans pression rgi)"),
    "SIGMAPIC": _("contrainte de pic"),
    "SIGM_N": _("contrainte normale"),
    "SIGM_T1": _("contrainte tangentielle"),
    "SIGN_GLO": _("contrainte mécanique normale (sans pression de fluide)"),
    "SIGP": _("cam_clay : contrainte de confinement"),
    "SIGRN": _(" Pinto-Menegotto, contrainte cycle N"),
    "SIGT": _("norme de la contrainte tangente"),
    "SKE1": _("FLUA_ENDO_PORO contraintes elastiques de l etage de Kelvin"),
    "SKE2": _("FLUA_ENDO_PORO contraintes elastiques de l etage de Kelvin"),
    "SKE3": _("FLUA_ENDO_PORO contraintes elastiques de l etage de Kelvin"),
    "SKE4": _("FLUA_ENDO_PORO contraintes elastiques de l etage de Kelvin"),
    "SKE5": _("FLUA_ENDO_PORO contraintes elastiques de l etage de Kelvin"),
    "SKE6": _("FLUA_ENDO_PORO contraintes elastiques de l etage de Kelvin"),
    "SM1": _("SIMO_MIEHE, variable interne 1"),
    "SM2": _("SIMO_MIEHE, variable interne 2"),
    "SM3": _("SIMO_MIEHE, variable interne 3"),
    "SM4": _("SIMO_MIEHE, variable interne 4"),
    "SM5": _("SIMO_MIEHE, variable interne 5"),
    "SM6": _("SIMO_MIEHE, variable interne 6"),
    "STIL": _("FLUA_ENDO_PORO sulfo aluminates pour la def"),
    "SUMCOLD": _("Somme des phases froides"),
    "SURF": _("contrainte de rupture par propagation,"),
    "TAILLE_GRAIN": _("taille de grain de la martensite"),
    "TANGENTE": _("Tangente au comportement"),
    "TEMP_MARTENSITE": _("température de transition martensitique"),
    "TEMP_MAX": _("température maximum"),
    "TEMPS_TRANSITION": _("temps de transition pour la zircaloy"),
    "TEMP": _("température"),
    "TEPG": _("FLUA_ENDO_PORO variation de volume par fissuration rgi"),
    "TEPS": _("FLUA_ENDO_PORO variation de volume meca total"),
    "THXY1": _("Hujeux : normale entrante à la surface de charge du mécanisme père du mécanisme déviatoire du plan 3, composante 1"),
    "THXY2": _("Hujeux : normale entrante à la surface de charge du mécanisme père du mécanisme déviatoire du plan 3, composante 2"),
    "THXZ1": _("Hujeux : normale entrante à la surface de charge du mécanisme père du mécanisme déviatoire du plan 2, composante 1"),
    "THXZ2": _("Hujeux : normale entrante à la surface de charge du mécanisme père du mécanisme déviatoire du plan 2, composante 2"),
    "THYZ1": _("Hujeux : normale entrante à la surface de charge du mécanisme père du mécanisme déviatoire du plan 1, composante 1"),
    "THYZ2": _("Hujeux : normale entrante à la surface de charge du mécanisme père du mécanisme déviatoire du plan 1, composante 2"),
    "TRAMAX": _("Déformation maximale absolue au cours de temps en membrane"),
    "TXX": _("GDEF_LOG  contrainte T, composante XX"),
    "TXY": _("GDEF_LOG  contrainte T, composante XY"),
    "TXZ": _("GDEF_LOG  contrainte T, composante XZ"),
    "TYY": _("GDEF_LOG  contrainte T, composante YY"),
    "TYZ": _("GDEF_LOG  contrainte T, composante YZ"),
    "TZZ": _("GDEF_LOG  contrainte T, composante ZZ"),
    "UVISQ": _("Déplacement concernant la partie visqueuse"),
    "VG10": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 10"),
    "VG11": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 11"),
    "VG12": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 12"),
    "VG13": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 13"),
    "VG14": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 14"),
    "VG15": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 15"),
    "VG16": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 16"),
    "VG17": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 17"),
    "VG18": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 18"),
    "VG19": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 19"),
    "VG1": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 1"),
    "VG20": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 20"),
    "VG21": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 21"),
    "VG22": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 22"),
    "VG23": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 23"),
    "VG24": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 24"),
    "VG25": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 25"),
    "VG26": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 26"),
    "VG27": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 27"),
    "VG28": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 28"),
    "VG29": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 29"),
    "VG2": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 2"),
    "VG30": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 30"),
    "VG31": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 31"),
    "VG32": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 32"),
    "VG33": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 33"),
    "VG34": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 34"),
    "VG35": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 35"),
    "VG36": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 36"),
    "VG37": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 37"),
    "VG38": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 38"),
    "VG39": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 39"),
    "VG3": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 3"),
    "VG40": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 40"),
    "VG41": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 41"),
    "VG42": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 42"),
    "VG43": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 43"),
    "VG44": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 44"),
    "VG45": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 45"),
    "VG46": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 46"),
    "VG47": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 47"),
    "VG48": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 48"),
    "VG49": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 49"),
    "VG4": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 4"),
    "VG50": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 50"),
    "VG51": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 51"),
    "VG52": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 52"),
    "VG53": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 53"),
    "VG54": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 54"),
    "VG55": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 55"),
    "VG5": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 5"),
    "VG6": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 6"),
    "VG7": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 7"),
    "VG8": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 8"),
    "VG9": _("comportement BETON_GRANGER, voir R7.01.01, variable interne 9"),
    "VIDE": _("variable interne vide"),
    "VISCHA10": _("VISCOCHAB, voir R5.03.12, variable interne 10"),
    "VISCHA11": _("VISCOCHAB, voir R5.03.12, variable interne 11"),
    "VISCHA12": _("VISCOCHAB, voir R5.03.12, variable interne 12"),
    "VISCHA13": _("VISCOCHAB, voir R5.03.12, variable interne 13"),
    "VISCHA14": _("VISCOCHAB, voir R5.03.12, variable interne 14"),
    "VISCHA15": _("VISCOCHAB, voir R5.03.12, variable interne 15"),
    "VISCHA16": _("VISCOCHAB, voir R5.03.12, variable interne 16"),
    "VISCHA17": _("VISCOCHAB, voir R5.03.12, variable interne 17"),
    "VISCHA18": _("VISCOCHAB, voir R5.03.12, variable interne 18"),
    "VISCHA19": _("VISCOCHAB, voir R5.03.12, variable interne 19"),
    "VISCHA1": _("VISCOCHAB, voir R5.03.12, variable interne 1"),
    "VISCHA20": _("VISCOCHAB, voir R5.03.12, variable interne 20"),
    "VISCHA21": _("VISCOCHAB, voir R5.03.12, variable interne 21"),
    "VISCHA22": _("VISCOCHAB, voir R5.03.12, variable interne 22"),
    "VISCHA23": _("VISCOCHAB, voir R5.03.12, variable interne 23"),
    "VISCHA24": _("VISCOCHAB, voir R5.03.12, variable interne 24"),
    "VISCHA25": _("VISCOCHAB, voir R5.03.12, variable interne 25"),
    "VISCHA26": _("VISCOCHAB, voir R5.03.12, variable interne 26"),
    "VISCHA27": _("VISCOCHAB, voir R5.03.12, variable interne 27"),
    "VISCHA28": _("VISCOCHAB, voir R5.03.12, variable interne 28"),
    "VISCHA2": _("VISCOCHAB, voir R5.03.12, variable interne 2"),
    "VISCHA3": _("VISCOCHAB, voir R5.03.12, variable interne 3"),
    "VISCHA4": _("VISCOCHAB, voir R5.03.12, variable interne 4"),
    "VISCHA5": _("VISCOCHAB, voir R5.03.12, variable interne 5"),
    "VISCHA6": _("VISCOCHAB, voir R5.03.12, variable interne 6"),
    "VISCHA7": _("VISCOCHAB, voir R5.03.12, variable interne 7"),
    "VISCHA8": _("VISCOCHAB, voir R5.03.12, variable interne 8"),
    "VISCHA9": _("VISCOCHAB, voir R5.03.12, variable interne 9"),
    "VSHR": _("FLUA_ENDO_PORO vide pour l eau  capillaire (necessaire sous iteration fluage3d"),
    "WELA": _("FLUA_ENDO_PORO  energie elastique"),
    "WID1": _("FLUA_ENDO_PORO ouvertures fissures tenseur symétrique"),
    "WID2": _("FLUA_ENDO_PORO ouvertures fissures tenseur symétrique"),
    "WID3": _("FLUA_ENDO_PORO ouvertures fissures tenseur symétrique"),
    "WID4": _("FLUA_ENDO_PORO ouvertures fissures tenseur symétrique"),
    "WID5": _("FLUA_ENDO_PORO ouvertures fissures tenseur symétrique"),
    "WID6": _("FLUA_ENDO_PORO ouvertures fissures tenseur symétrique"),
    "WL1": _("FLUA_ENDO_PORO partie plastique de l ouverture de fissure localisee"),
    "WL2": _("FLUA_ENDO_PORO partie plastique de l ouverture de fissure localisee"),
    "WL3": _("FLUA_ENDO_PORO partie plastique de l ouverture de fissure localisee"),
    "WSHR": _("FLUA_ENDO_PORO volume d eau capillaire (necessaire sous iteration fluage3d)"),
    "X1": _("coordonnée X de la pointe de fissure après rupture par propagation,"),
    "X2": _("coordonnée X de la pointe de fissure 2 lors de l'amorçage,"),
    "XCINXX": _("tenseur cinématique, composante XX"),
    "XCINXY": _("tenseur cinématique, composante XY"),
    "XCINXZ": _("tenseur cinématique, composante XZ"),
    "XCINYY": _("tenseur cinématique, composante YY"),
    "XCINYZ": _("tenseur cinématique, composante YZ"),
    "XCINZZ": _("tenseur cinématique, composante ZZ"),
    "XFLEX1": _("GLRC_DAMAGE : tenseur d'écrouissage cinématique en flexion composante 1"),
    "XFLEX2": _("GLRC_DAMAGE : tenseur d'écrouissage cinématique en flexion composante 2"),
    "XFLEX3": _("GLRC_DAMAGE : tenseur d'écrouissage cinématique en flexion composante 3"),
    "XHXY1": _("Hujeux : coordonnée du point de tangence à la surface de charge du mécanisme déviatoire du plan 3, composante 1"),
    "XHXY2": _("Hujeux : coordonnée du point de tangence à la surface de charge du mécanisme déviatoire du plan 3, composante 2"),
    "XHXZ1": _("Hujeux : coordonnée du point de tangence à la surface de charge du mécanisme déviatoire du plan 2, composante1"),
    "XHXZ2": _("Hujeux : coordonnée du point de tangence à la surface de charge du mécanisme déviatoire du plan 2, composante2"),
    "XHYZ1": _("Hujeux : coordonnée du point de tangence à la surface de charge du mécanisme déviatoire du plan 1, composante 1"),
    "XHYZ2": _("Hujeux : coordonnée du point de tangence à la surface de charge du mécanisme déviatoire du plan 1, composante 2"),
    "XIP": _("variable d'écrouissage élastoplastique"),
    "XIVP": _("variable d'écrouissage viscoplastique"),
    "XMEMB1": _("GLRC_DAMAGE : tenseur d'écrouissage cinématique en membrane composante 1"),
    "XMEMB2": _("GLRC_DAMAGE : tenseur d'écrouissage cinématique en membrane composante 2"),
    "XMEMB3": _("GLRC_DAMAGE : tenseur d'écrouissage cinématique en membrane composante 3"),
    "Y1": _("coordonnée Y de la pointe de fissure après rupture par propagation,"),
    "Y2": _("coordonnée Y de la pointe de fissure 2 lors de l'amorçage,"),
    "ZIRCALBE": _("phase métallurgique zirconium ALPHA/BETA"),
    "ZIRCALPH": _("phase métallurgique zirconium ALPHA"),
    "ZIRCBETA": _("phase métallurgique zirconium BETA"),
}
