# coding=utf-8
# --------------------------------------------------------------------
# Copyright (C) 1991 - 2019 - EDF R&D - www.code-aster.org
# This file is part of code_aster.
#
# code_aster is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# code_aster is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with code_aster.  If not, see <http://www.gnu.org/licenses/>.
# --------------------------------------------------------------------

# person_in_charge: kyrylo.kazymyrenko at edf.fr

from .cata_comportement import LoiComportement

loi = LoiComportement(
    nom            = 'CZM_EXP',
    lc_type        = ('MECANIQUE',),
    doc            =   """Loi cohésive exponentielle  de type Barenblatt - R7.02.11"""              ,
    num_lc         = 0,
    nb_vari        = 7,
    nom_vari       = ('SAUT_N','SAUT_T1','SEUILDEP','INDIENDO','PCENERDI',
        'SIGM_N','SIGM_T1',),
    mc_mater       = ('RUPT_FRAG',),
    modelisation   = ('3D','PLAN','AXIS','ELEMJOIN',),
    deformation    = ('PETIT',),
    algo_inte      = ('ANALYTIQUE',),
    type_matr_tang = ('PERTURBATION','VERIFICATION',),
    proprietes     = None,
    syme_matr_tang = ('Yes',),
    exte_vari      = None,
    deform_ldc     = ('OLD',),
)
