# coding=utf-8
# --------------------------------------------------------------------
# Copyright (C) 1991 - 2018 - EDF R&D - www.code-aster.org
# This file is part of code_aster.
#
# code_aster is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# code_aster is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with code_aster.  If not, see <http://www.gnu.org/licenses/>.
# --------------------------------------------------------------------

# person_in_charge: mathieu.courtois at edf.fr
from code_aster.Cata.Syntax import *
from code_aster.Cata.DataStructure import *


def C_NOM_GRANDEUR():
    """Retourne la liste des noms des grandeurs pour le catalogue"""
    return (
        "ABSC_R",
        "ADRSJEVE",
        "ADRSJEVN",
        "CAARPO",
        "CACABL",
        "CACOQU",
        "CADISA",
        "CADISK",
        "CADISM",
        "CAFI_R",
        "CAGEPO",
        "CAGNBA",
        "CAGNPO",
        "CAMASS",
        "CAORIE",
        "CAPOUF",
        "CARCRI",
        "CASECT",
        "CHLI_R",
        "CODE_I",
        "COEH_F",
        "COEH_R",
        "COMPOR",
        "CORR_R",
        "CRRU_R",
        "DBEL_R",
        "DCEL_I",
        "DDLI_C",
        "DDLI_F",
        "DDLI_R",
        "DDLM_C",
        "DDLM_R",
        "DEPL_C",
        "DEPL_F",
        "DEPL_R",
        "DISS_R",
        "DOMA_R",
        "DURT_R",
        "ENDO_R",
        "ENER_R",
        "EPSI_C",
        "EPSI_F",
        "EPSI_R",
        "ERRE_R",
        "FACY_R",
        "FELECR",
        "FER2_R",
        "FISS_R",
        "FLAPLA",
        "FLUN_F",
        "FLUN_R",
        "FLUX_F",
        "FLUX_R",
        "FORC_C",
        "FORC_F",
        "FORC_R",
        "FREQ_R",
        "FTHM_F",
        "FTHM_R",
        "G",
        "GEOM_R",
        "G_DEPL_R",
        "HARMON",
        "HYDR_R",
        "IMPE_C",
        "IMPE_F",
        "IMPE_R",
        "INDL_R",
        "INFC_R",
        "INST_R",
        "INTE_R",
        "INTLOC",
        "IRRA_R",
        "ITECREL",
        "ITEDEC",
        "J",
        "LISTMA",
        "MACOMP",
        "MASS_R",
        "MATE_F",
        "NBSP_I",
        "NEUT_F",
        "NEUT_I",
        "NEUT_K16",
        "NEUT_K24",
        "NEUT_K8",
        "NEUT_R",
        "N480_R",
        "NUMC_I",
        "NUMMOD",
        "ONDE_F",
        "ONDE_R",
        "PESA_R",
        "PDIL_R",
        "PILO_K",
        "PILO_R",
        "POSI",
        "PREC",
        "PRES_C",
        "PRES_F",
        "PRES_R",
        "RAYO_F",
        "RAYO_R",
        "RCCM_K",
        "RCCM_R",
        "RESCREL",
        "RICE_TRA",
        "ROTA_R",
        "SECTION",
        "SIEF_C",
        "SIEF_R",
        "SIEFMX_R",
        "SIZZ_R",
        "SOUR_F",
        "SOUR_R",
        "SPMX_R",
        "STRX_R",
        "STAOUDYN",
        "TEMP_C",
        "TEMP_F",
        "TEMP_R",
        "THETA",
        "VALO_R",
        "VANL_R",
        "VAR2_R",
        "VARI_R",
        "VENTCX_F",
        "VNOR_C",
        "VNOR_F",
        "VOISIN",
        "WEIBULL",
        "XCONTAC",
        "CLAC_R",
    )
