# coding=utf-8

'''Configuration for waf using aster-full prerequisites'''

import os
import os.path as osp
import sys

def configure(self):
    opts = self.options
    if 'verbose=True'.strip():
        self.env.append_value('OPT_ENV', 'verbose=True'.splitlines())

    self.env['FC'] = 'gfortran12'
    self.env['CC'] = 'cc'
    # mfront path
    self.env.TFELHOME = '/usr/local'
    # to check med libs
    self.env['CXX'] = 'c++'

    # sometimes required
    self.env.append_unique('LINKFLAGS', ['-Wl,--allow-multiple-definition'])

    self.env.append_value('LIBPATH', [
        '/usr/local/lib',
        '/usr/local/lib',
        '/usr/local/lib',
        '/usr/local/lib',
        '/usr/local/lib',
        '/usr/local/lib',
        # autotools uses lib64 on some platforms
        '/usr/local/lib64',
        '/usr/local/lib64',
    ])

    self.env.append_value('INCLUDES', [
        '/usr/local/include/hdf5-110',
        '/usr/local/include',
        '/usr/local/include',
        '/usr/local/include',
        '/usr/local/include',
    ])

    self.env['OPTLIB_FLAGS'] = '-L/usr/local/lib -lopenblas -lopenblas -lscotch -lscotcherr  -L/usr/local/lib -Wl,-rpath=/usr/local/lib/gcc12  -L/usr/local/lib/gcc12 -Wl,--undefined-version -fstack-protector-strong  -lgfortran -lm -lkvm'.split()         + '-Xlinker -export-dynamic -lmpiseq -lc++ -lexecinfo -lutil -lpthread -lz'.split()
    opts.maths_libs = ''

    opts.enable_petsc = False

    # add paths for external programs
    os.environ['HOMARD_ASTER_ROOT_DIR'] = '/usr/local'

